Subject: Re: rsync
From: Bill Petheram <[email-masked]>
To: [email-masked]
Date: Mon, 09 Jul 2001 12:56:39 +0100

Christopher Faylor wrote:
> 
> On Sat, Jul 07, 2001 at 10:14:46AM +0200, Gerrit P. Haase wrote:
> >Andreas Stenger schrieb am 2001-06-28, 6:42:
> >
> >> Hi,
> >>
> >> I was happy to see the rsync (2.4.6) package being included in the cygwin
> >> distribution, but I wasn't able to get the daemon working. The error I get
> >> is
> >>
> >> $ rsync rsync://localhost
> >> read error: Connection reset by peer
> >>
> >> the client does work against the older version 2.4.5 (that I guot from a
> >> distribution bundled just with a cygwin dll) of the daemon on windows.
> >>
> >> Anyone got it to work? Hints? Any help appreciated.
> >
> >Hi,
> >
> >did yyou solve your problem?
> >I use my own build of rsync on WinNT, (though it was
> >build on a win98 box!) and i got no problems using
> >the rsync daemon.
> >
> >Try if you like, http://www.familiehaase.de/cygwin.html
> 
> Or, alternatively, participate in this free software project and try to debug
> the problem with the version of rsync that is shipping with cygwin.
> 
> cgf
> 

I can't get rsync to work on W2K except in daemon mode. I tried to debug
it with gdb but rsync exits on the first write statement. This means
that I cannot step through the program.

If I build cygwin from source would I be able to see where the write was
failing?

bill

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/